<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: S_RTC_TIME_DATA_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">S_RTC_TIME_DATA_T Struct Reference<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d4/de0/group___n_a_n_o1_x2___r_t_c___driver.html">RTC Driver</a> &raquo; <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">RTC Exported Constants</a> &raquo; <a class="el" href="../../d4/d20/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html">RTC Exported Structs</a></div></div></div>
</div><!--header-->
<div class="contents">

<p>RTC define Time Data Struct.  
 <a href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:gaaf57f7bbfd9a465e0d40bffd6374871f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf57f7bbfd9a465e0d40bffd6374871f">u32Year</a></td></tr>
<tr class="separator:gaaf57f7bbfd9a465e0d40bffd6374871f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28f8319a6c75aa27d786f938d84aa0c9"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f8319a6c75aa27d786f938d84aa0c9">u32Month</a></td></tr>
<tr class="separator:ga28f8319a6c75aa27d786f938d84aa0c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e1878e1510ce6ead051162995c6dc19"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e1878e1510ce6ead051162995c6dc19">u32Day</a></td></tr>
<tr class="separator:ga8e1878e1510ce6ead051162995c6dc19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga90c962807d6695fe7ebed72d1f14d0a5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c962807d6695fe7ebed72d1f14d0a5">u32DayOfWeek</a></td></tr>
<tr class="separator:ga90c962807d6695fe7ebed72d1f14d0a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47000df9a2b3e5007206cff3a64a13a0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga47000df9a2b3e5007206cff3a64a13a0">u32Hour</a></td></tr>
<tr class="separator:ga47000df9a2b3e5007206cff3a64a13a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga73517c90b11996fdd2f7d88c9d52108b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga73517c90b11996fdd2f7d88c9d52108b">u32Minute</a></td></tr>
<tr class="separator:ga73517c90b11996fdd2f7d88c9d52108b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad18f79857eb312939ada311a91b0ae62"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad18f79857eb312939ada311a91b0ae62">u32Second</a></td></tr>
<tr class="separator:gad18f79857eb312939ada311a91b0ae62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3abd0c20af75576b6f3ab0d0dcb67fe"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad3abd0c20af75576b6f3ab0d0dcb67fe">u32TimeScale</a></td></tr>
<tr class="separator:gad3abd0c20af75576b6f3ab0d0dcb67fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga36cfd8ed019c8243b7eaf1cb37985073"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36cfd8ed019c8243b7eaf1cb37985073">u32AmPm</a></td></tr>
<tr class="separator:ga36cfd8ed019c8243b7eaf1cb37985073"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >RTC define Time Data Struct. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00081">81</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>StdDriver/inc/<a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
